Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1155495 - Review Request: python-yappi - Yet Another Python Profiler [NEEDINFO]
Summary: Review Request: python-yappi - Yet Another Python Profiler
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-10-22 09:02 UTC by Saggi Mizrahi
Modified: 2015-06-06 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-06 22:01:51 UTC
dougsland: needinfo? (smizrahi)


Attachments (Terms of Use)

Description Saggi Mizrahi 2014-10-22 09:02:12 UTC
Spec URL: https://smizrahi.fedorapeople.org/yappi/yappi.spec
SRPM URL: https://smizrahi.fedorapeople.org/yappi/python-yappi-0.92-1.fc21.src.rpm
Description:
CPython standard distribution is coming with three profilers. cProfile, Profile
and hotshot. cProfile module is implemented as a C module based on lsprof,
Profile is in pure Python and the hotshot can be seen as a small subset of a
cProfile. The motivation to implement a new profiler is that all of these
profilers lacks the support of multi-threaded programs. If you want to profile
a multi-threaded application, you must give an entry point to these profilers
and then maybe merge the outputs. None of these profilers is designed to work
on long-running multi-threaded application. While implementing a game server,
it turns out that is is impossible to profile an application retrieve the
statistics then stop and then start later on on the fly(without affecting the
profiled application). With the experience of implementing a game server in
Python, we have identified most of the problems, tricky parts regarding
profiler usage and so, we have come up with simple but powerful requirements.

Fedora Account System Username: smizrahi

Comment 1 Saggi Mizrahi 2014-10-22 12:34:22 UTC
It has come to my attention that it's better to use the tip than the stable release so I modified the specfile.

Spec URL: https://smizrahi.fedorapeople.org/yappi/yappi.spec
SRPM URL: https://smizrahi.fedorapeople.org/yappi/https://smizrahi.fedorapeople.org/yappi/python-yappi-hg20141022-1.fc21.src.rpm

Comment 2 Piotr Popieluch 2014-10-25 14:33:47 UTC
Some comments:

Errors:
- spec filename does not match package name, rename yappi.spec to python-yappi.spec
- Source0 url gives 404: https://pypi.python.org/packages/source/y/yappi/1d187cc9e455d3d11915da135937fe8bcf502c4b.tar.gz
- No files markes as %doc. Add "%doc README.md LICENSE" to %files section
- mock build fails missing BuildRequires. Add BuildRequires: python-setuptools


Suggestions:
- %description is a bit long and is more a motivation than description.
- Could you add a python3 module?

Comment 4 Piotr Popieluch 2015-03-20 23:13:02 UTC
Saggi Mizrahi, are you still interested in packaging this?

Could you please resolve the issues, then we can continue the review. If there is no response soon I will have to close this bug according to:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 5 Piotr Popieluch 2015-06-06 22:01:51 UTC
no response, closing bug


Note You need to log in before you can comment on or make changes to this bug.